Bug 833290 - RFE: Allow content specs to be built using Artictle_Info.xml
RFE: Allow content specs to be built using Artictle_Info.xml
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Lee Newson
pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 03:17 EDT by Lee Newson
Modified: 2013-06-06 21:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.27.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:31:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2012-06-19 03:17:36 EDT
From an email misty sent:

The ability to build articles as the top-level container. Articles only have one "chapter" which can contain multiple sections, and they have an Article_Info.xml instead of Book_Info.xml. We use articles for release notes and other short works.

http://www.docbook.org/tdg/en/html/article.html
Comment 1 Lee Newson 2012-09-20 02:53:03 EDT
Added in 0.27.0

You can now build articles using the CSP. To do this you need to add the following to the metadata in the Content Spec:

Type=Article

Articles have different processing rules then a Book:
- An Article can't have Parts Chapters, or Process's.
- Appendixes must be at the bottom of the content spec.
- Topics can be used at the base level.
- Sections don't have to be in a chapter. They also can be used at the base level.
Comment 2 Lee Newson 2013-06-06 21:31:36 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.